| Home | Libraries | People | FAQ | More

## Struct front

boost::xpressive::op::front — `front` is a PolymorphicFunctionObject for fetching the front element of a container.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct front {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sequence>
      struct result<This(Sequence)> {
        // types
        typedef remove_reference< Sequence >::type                                                                                              sequence_type;
        typedef mpl::if_c< is_const< sequence_type >::value, typename sequence_type::const_reference, typename sequence_type::reference >::type type;
      };

      // public member functions
      template<typename Sequence>
        result< front(Sequence &)>::type operator()(Sequence &) const;
    };

## Description

### `front` public member functions

1.     template<typename Sequence>
         result< front(Sequence &)>::type operator()(Sequence & seq) const;

   Parameters:

   `seq` | The sequence from which to fetch the front.

   Returns: | `seq.front()`